Bug 2277965 - Improper OSC communication with tmux
Summary: Improper OSC communication with tmux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rxvt-unicode
Version: 38
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-04-30 11:24 UTC by Ben Boeckel
Modified: 2024-06-12 01:32 UTC (History)
2 users (show)

Fixed In Version: rxvt-unicode-9.31-7.fc40 rxvt-unicode-9.31-5.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-06-12 01:11:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Boeckel 2024-04-30 11:24:46 UTC
More recent tmux versions probe RGB support from the terminal (https://github.com/openbsd/src/commit/d21788ce70be80e9c4ed0c52c149e01147c4a823). This causes problems when attaching to tmux from an rxvt terminal where the response is dumped to the output rather than consumed internally. This has been fixed upstream (https://github.com/exg/rxvt-unicode/commit/417b540d6dba67d440e3617bc2cf6d7cea1ed968) but not released; can this commit please be backported?

Discussion:

Reddit: https://www.reddit.com/r/openbsd/comments/18cxwdy/tmux_causing_ansi_colorresponse_garbage_on/

OpenBSD discussion thread: https://marc.info/?t=170215526100001&r=1&w=2

Reproducible: Always

Comment 2 Aoife Moloney 2024-05-31 09:19:43 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Ben Boeckel 2024-05-31 11:14:17 UTC
PR was accepted. Why was there no "EOL is imminent" comment?

Comment 4 Fedora Update System 2024-06-03 18:59:04 UTC
FEDORA-2024-6d47e8e9ad (rxvt-unicode-9.31-5.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-6d47e8e9ad

Comment 5 Fedora Update System 2024-06-03 19:38:49 UTC
FEDORA-2024-7876ef6e37 (rxvt-unicode-9.31-7.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-7876ef6e37

Comment 6 Fedora Update System 2024-06-04 01:06:45 UTC
FEDORA-2024-6d47e8e9ad has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-6d47e8e9ad`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-6d47e8e9ad

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-06-04 03:45:04 UTC
FEDORA-2024-7876ef6e37 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-7876ef6e37`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-7876ef6e37

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-06-12 01:11:13 UTC
FEDORA-2024-7876ef6e37 (rxvt-unicode-9.31-7.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-06-12 01:32:28 UTC
FEDORA-2024-6d47e8e9ad (rxvt-unicode-9.31-5.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.